create table ai_knowledge_info
(
    id                   bigint auto_increment
        primary key,
    tenant_id            varchar(255) default '000000'          not null comment '租户id',
    knowledge_code       varchar(255)                           not null comment '知识库ID',
    knowledge_name       varchar(255)                           not null comment '知识库名称',
    description          varchar(255) default ''                not null comment '描述',
    user_id              bigint       default 0                 not null comment '用户ID',
    share                int          default 0                 not null comment '是否公开知识库（0 否 1是）',
    knowledge_separator  varchar(255) default ''                not null comment '知识分隔符',
    question_separator   varchar(255) default ''                not null comment '提问分隔符',
    overlap_char         int          default 0                 not null comment '重叠字符数',
    retrieve_limit       int          default 0                 not null comment '知识库中检索的条数',
    text_block_size      int          default 0                 not null comment '文本块大小',
    vector_model_name    varchar(255) default ''                not null comment '向量库',
    embedding_model_name varchar(255) default ''                not null comment '向量模型',
    system_prompt        varchar(255) default ''                not null comment '系统提示词',
    create_dept          varchar(255) default ''                not null comment '部门',
    create_by            bigint       default 0                 not null comment '创建人',
    create_time          datetime     default CURRENT_TIMESTAMP not null comment '创建时间',
    update_by            bigint       default 0                 not null comment '更新者',
    update_time          datetime     default CURRENT_TIMESTAMP not null on update CURRENT_TIMESTAMP comment '更新时间',
    remark               varchar(500) default ''                not null comment '备注',
    constraint idx_kid
        unique (knowledge_code)
)
    comment '知识库' row_format = DYNAMIC;

